Subject: bug#42539: 28.0.50 font face in mode line problem ?

From: Fabrice Popineau <[email-masked]>
Date: Sun, 26 Jul 2020 21:34:54 +0200

Ok, I think I was fooled by something.

Trying to run `emacs -q -l test1.el' with test1.el:
------------------------------------------------------------
(setq use-default-font-for-symbols nil)
(set-face-font 'default "Roboto Mono Light 14")
(set-fontset-font "fontset-default"  '(#x2600 . #x26ff) "Fira Code 16")
(setq-default mode-line-format '("☰ %b"))
(split-window-vertically)
------------------------------------------------------------

I got the following screen:
But it seems that it is not the same font that is used for both modelines.
I would have expected that it was the same.
The font used is switched if I switch windows (C-x o)
So probably I miss something here and there is no bug at all.

Fabrice

Le dim. 26 juil. 2020 à 20:57, Eli Zaretskii <[email-masked]> a écrit :

> > From: Fabrice Popineau <[email-masked]>
> > Date: Sun, 26 Jul 2020 19:58:00 +0200
> > Cc: [email-masked]
> >
> >  Does it help to give the nil value to use-default-font-for-symbols?
> >
> > Unfortunately, it does not change the behaviour.
>
> You mean, it doesn't cause Emacs to obey set-fontset-font setting?  If
> so, I don't know what's wrong; most probably there's something in this
> complicated setup you didn't show, or maybe something that you did
> show has some strange effect that I cannot spot.
>
> In general, the character you tried to display belongs to the symbol
> block, and Emacs by default uses the default face's font to display
> it.  Setting use-default-font-for-symbols to nil disables that, and
> Emacs should obey set-fontset-font.  That's all I know.
>